# Arch installer

## Running the installer

### via custom livemedium

1) Build the ISO: Run script found in the base of this git repo:

```shell
./build-archiso/run.sh
```

2) Boot into the live medium and (optionally) run `screen` (to be able to scroll back in case of any errors)
3) Adjust `/etc/de-p1st-installer/installer.cfg` (or delete for interactive mode)
4) Run the installer

```shell
de-p1st-installer
```

### via official livemedium

1) Boot into the live medium from [archlinux.org](https://archlinux.org)
2) Add to `/etc/pacman.conf`:

```shell
[de-p1st]
SigLevel = Optional TrustAll
Server = https://arch.p1st.de
```

3) (Optional) Start screen with long scrollback history (to be able to scroll back in case of any errors)
   
```shell
pacman -Sy
pacman -S de-p1st-screen
screen
```
4) Continue with step (3) of "via custom livemedium"
